Community
Fusion API and Scripts
Got a new add-in to share? Need something specialized to be scripted? Ask questions or share what you’ve discovered with the community.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Extract point coordinates

3 REPLIES 3
Reply
Message 1 of 4
Ex_Machina_Engineering
1468 Views, 3 Replies

Extract point coordinates

In there a tool or add-in that I use to extract coordinates of points on a line, arc, spline, etc.?

3 REPLIES 3
Message 2 of 4

may be you can write a script with following code. This will display coordinate of sketch point in a message box. 

 

app = ask.core.Application.get()

ui = app.userInterface

pntEntity = ui.selectEntity('Select a sketch point', 'SketchPoints')

pnt = adsk.fusion.SketchPoint.cast(pntEntity.entity)

ui.messageBox('x:{0},y:{1},z:{2}'.format(pnt.geometry.x,pnt.geometry.y,pnt.geometry.z))



Shyam Goyal
Sr. Software Dev. Manager
Message 3 of 4
therealsamchaney
in reply to: goyals

Thanks! Would you mind elaborating a bit about this code? Specifically, what is the .cast method? I don't see it listed in the page about the SketchPoint object. Also, what is the .entity method you call on the point entity?
At first I was lost as to how to use the geometry attribute but then I found that it's a Point3D type object and this page was very helpful for me. Hope someone else finds this useful.

Message 4 of 4


@therealsamchaney  a écrit :

Specifically, what is the .cast method?


Read the "Code Hints" section there: Python Specific Issues

 


@therealsamchaney  a écrit :

Also, what is the .entity method you call on the point entity?


Read the UserInterface.selectEntity method documentation and the Selection Object documentation.

 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report